proc TdynTcl_InitiateProblem { } {

#     TdynTcl_Set_Mass_Matrix 1 [list \
#             5.58E+06              0               0              0      -139.7E+06               0 \
#                    0       5.58E+06               0      139.7E+06               0               0 \
#                    0              0        5.58E+06              0               0               0 \
#                    0      139.7E+06               0      384.7E+06               0               0 \
#           -139.7E+06              0               0              0       384.7E+06               0 \
#                    0              0               0              0               0       291.7E+06 ]

    TdynTcl_Add_Mass_Matrix 1 [list 0.0 0.0 0.0] [list \
	     8.6E+06              0               0              0     -349.16E+06               0 \
		   0        8.6E+06               0     349.16E+06               0               0 \
		   0              0         8.6E+06              0               0               0 \
		   0     349.16E+06               0   14754.48E+06               0               0 \
	 -349.16E+06              0               0              0    14754.48E+06               0 \
		   0              0               0              0               0       361.4E+06 ]

    
    TdynTcl_Add_Mass_Matrix 1 [list 0.0 0.0 0.0] [list \
	     0.7E+06              0               0              0        44.3E+06               0 \
		   0        0.7E+06               0      -44.3E+06               0         6.6E+06 \
		   0              0         0.7E+06              0        -6.6E+06               0 \
		   0      -44.3E+06               0       3499E+06               0               0 \
	    44.3E+06              0       -6.60E+06              0        3560E+06               0 \
		   0       6.60E+06               0     -513.3E+06               0       101.2E+06 ]

    TdynTcl_Add_Damping_Matrix 1 [list 0.0 0.0 0.0] [list \
	    0.04E+06                0        -0.01E+06        -0.25E+06        4.00E+06        0.08E+06 \
		   0                0                0        -0.11E+06       -0.18E+06       -0.05E+06 \
	   -0.01E+06                0                0        -0.04E+06       -0.92E+06       -0.33E+06 \
	    0.27E+06         -0.1E+06                0        16.17E+06       50.30E+06       13.88E+06 \
	    3.42E+06         0.06E+06        -1.00E+06       -23.92E+06       400.1E+06       59.01E+06 \
	    0.05E+06        -0.02E+06         0.22E+06        11.08E+06      -52.60E+06       101.2E+06]

    TdynTcl_Add_Stiffness_Matrix 1 [list 0.0 0.0 0.0] [list \
		   0        0        0        0.3E+06        0.2E+06                0 \
		   0        0        0       -0.1E+06        0.3E+06        -0.07E+06 \
		   0        0        0       -0.3E+06       -0.4E+06                0 \
		   0        0        0        8.5E+06      -22.4E+06         59.7E+06 \
		   0        0        0       26.8E+06       28.9E+06         -4.1E+06 \
		   0        0        0       -1.2E+06        1.1E+06         -4.8E+06 ]

    TdynTcl_Add_Stiffness_Matrix 1 [list 0.0 0.0 0.0] [list \
	   0.247E+06            0        1.53E+06              0       -7.26E+06                0 \
		   0    0.214E+06               0       6.27E+06               0       -0.511E+06 \
	    1.53E+06            0        70.4E+06              0       -44.6E+06                0 \
		   0     6.23E+06               0      15400E+06               0         -408E+06 \
	   -6.94E+06            0       -31.8E+06              0       15400E+06                0 \
		   0            0               0       -345E+06               0         94.7E+06 ]
    
    TdynTcl_Message "TdynTcl_DefineBodyData finished!!!" notice
}

# proc TdynTcl_CreateMooring { } {
# 
#     # Mooring lines: type 3
#     # arguments: body type xi[m] yi[m] zi[m] xe[m] ye[m] ze[m] w[N/m] L[m] A[m2] E[Pa]
#     set type 3
#     set zo -47.89
#     set zh -200.0
#     set flx 18.0
#     set fly 18.0
#     set A 0.01266769
#     set E 1.1841e11
#     set L 151.7
#     set w 1012.66
# 
#     set cat1 [create_mooring_segment 1 $type -$flx 0.0 $zo -$flx 0.0 $zh $w $L $A $E]
#     set cat2 [create_mooring_segment 1 $type -$flx 0.0 $zo -$flx 0.0 $zh $w $L $A $E]
#     set cat3 [create_mooring_segment 1 $type $flx 0.0 $zo $flx 0.0 $zh $w $L $A $E]
#     set cat4 [create_mooring_segment 1 $type $flx 0.0 $zo $flx 0.0 $zh $w $L $A $E]
#     set cat5 [create_mooring_segment 1 $type 0.0 $fly $zo 0.0 $fly $zh $w $L $A $E]
#     set cat6 [create_mooring_segment 1 $type 0.0 $fly $zo 0.0 $fly $zh $w $L $A $E]
#     set cat7 [create_mooring_segment 1 $type 0.0 -$fly $zo 0.0 -$fly $zh $w $L $A $E]
#     set cat8 [create_mooring_segment 1 $type 0.0 -$fly $zo 0.0 -$fly $zh $w $L $A $E]
# 
#     TdynTcl_Message "TdynTcl_CreateMooringLine finished!!!" notice
# }
